## ros-melodic-leo-fw 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leo_fw)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

install(
  DIRECTORY firmware
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(
  PROGRAMS scripts/update
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-leo-fw (1.1.2-1stretch) stretch; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 24 Nov 2020 23:00:00 -0000

ros-melodic-leo-fw (1.1.1-1stretch) stretch; urgency=high

  * Add setuptools to buildtool dependencies
  * Fix CMakeLists, install update script

 -- Błażej Sowa <blazej@turtlerover.com>  Sun, 18 Oct 2020 22:00:00 -0000

ros-melodic-leo-fw (1.1.0-1stretch) stretch; urgency=high

  * Add leo_fw package

 -- Błażej Sowa <blazej@turtlerover.com>  Thu, 15 Oct 2020 22:00:00 -0000

ros-melodic-leo-fw (1.0.2-1stretch) stretch; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 22 Sep 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-leo-fw
Section: misc
Priority: optional
Maintainer: Błażej Sowa <blazej@turtlerover.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin
Homepage: http://wiki.ros.org/leo_fw
Standards-Version: 3.9.2

Package: ros-melodic-leo-fw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, python-whichcraft, ros-melodic-rosgraph, ros-melodic-rosmon-msgs, ros-melodic-rosnode, ros-melodic-rospy, ros-melodic-rosservice, ros-melodic-std-srvs
Description: Firmware binary releases and update script for Leo Rover

## ros-melodic-leo-fw 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
 )
 
 catkin_install_python(
-  PROGRAMS scripts/update
+  PROGRAMS 
+    scripts/update
+    scripts/flash
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

=== debian/changelog ===
ros-melodic-leo-fw (1.2.1-1bionic) bionic; urgency=high

  * Reformat python code with black
  * Make the code python 2-3 compatible

 -- Fictionlab <support@fictionlab.pl>  Tue, 28 Sep 2021 00:00:00 -0000

ros-melodic-leo-fw (1.2.0-1bionic) bionic; urgency=high

  * Bundle a new firmware binary release (v1.2.0)
  * Add flash script to CMakeLists
  * Add flash script for flashing custom firmware
  * Add arguments to the flash_firmware function
  * Update author and maintainer info

 -- Fictionlab <support@fictionlab.pl>  Fri, 23 Apr 2021 00:00:00 -0000

ros-melodic-leo-fw (1.1.3-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 18 Dec 2020 00:00:00 -0000

ros-melodic-leo-fw (1.1.2-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 25 Nov 2020 00:00:00 -0000

ros-melodic-leo-fw (1.1.1-1bionic) bionic; urgency=high

  * Add setuptools to buildtool dependencies
  * Fix CMakeLists, install update script

 -- Błażej Sowa <blazej@turtlerover.com>  Mon, 19 Oct 2020 00:00:00 -0000

ros-melodic-leo-fw (1.1.0-1bionic) bionic; urgency=high

  * Add leo_fw package

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 16 Oct 2020 00:00:00 -0000

ros-melodic-leo-fw (1.0.2-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 23 Sep 2020 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-leo-fw
 Section: misc
 Priority: optional
-Maintainer: Błażej Sowa <blazej@turtlerover.com>
+Maintainer: Fictionlab <support@fictionlab.pl>
 Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin
 Homepage: http://wiki.ros.org/leo_fw
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-leo-fw//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
